Update environment variable

Replace an environment variable’s values. Use null to remove an environment (except production).

Path parameters

env_var_idstringRequired

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
valuesmap from strings to optional strings or objectsRequired

Values to replace. Set to null to remove an environment (except ‘production’).

Response

Successful Response
labelstring
created_at_unix_secsinteger
updated_at_unix_secsinteger
typeenum
idstring
workspace_idstring
valuesmap from strings to strings or map from strings to objects
created_by_user_idstring

Errors

400
Environment Variables Update Request Bad Request Error
404
Environment Variables Update Request Not Found Error
422
Environment Variables Update Request Unprocessable Entity Error